.pt-o-game-fb4{
    &-audio {
      &__container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
  
        & > .__paper {
          width: 64.2rem;
          height: 100%;
          margin: 0 auto;
          font-size: 2rem;
          line-height: 3.2rem;
          position: relative;
  
          &.--hidden {
            display: none;
          }
  
          & > .__toggle {
            width: 1.6rem;
            height: 1.6rem;
            cursor: pointer;
            position: absolute;
            top: 1.8rem;
            right: 3.6rem;
            z-index: 2;
            transform: rotate(45deg);
          }
  
          .__pin.--right {
            display: none;
          }
  
          .__content {
            u {
              text-decoration: underline !important;
            }
  
            i {
              font-style: italic !important;
            }
  
            b {
              font-weight: bold !important;
            }
          }
        }
      }
  
      &__left {
        width: 42vh;
        max-width: 38rem;
        height: 42vh;
        max-height: 35rem;
        border-radius: 14vh 0 0 14vh;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
  
        & > .__player {
          width: 12.8rem;
          height: 12.8rem;
        }
  
        & > .__duration {
          color: $dodgerBlue;
          font-family: 'mont_sb';
          font-size: 2.8rem;
          line-height: 3.4rem;
          position: absolute;
          bottom: 2.4rem;
          left: 50%;
          transform: translateX(-50%);
        }
      }
  
      &__right {
        width: max(calc(100% - 42vh), 72%);
        max-width: 80rem;
        height: 100%;
        position: relative;
  
        & > .__tapescript {
          min-width: 17.6rem;
          height: 4.6rem;
          background: linear-gradient($deepSkyBlue, $dodgerBlue);
          border-radius: 2.3rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.8rem !important;
          position: absolute;
          bottom: 1.2rem;
          left: max(-21vh, -19rem);
          transform: translateX(-50%);
  
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 17.6rem;
            height: 4.6rem;
            background: $deepSkyBlue;
            border-radius: 2.3rem;
            color: $white;
            content: 'Tapescript';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_b';
            font-size: 1.8rem;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
  
        &.--image {
          .pt-o-block-bottom-gradient-with-header {
            &__content {
              height: 100%;
              padding-top: 17.5vh;
              position: relative;
            }
          }
        }
  
        .pt-o-block-bottom-gradient-with-header {
          display: flex;
          flex-direction: column;
  
          &__header {
            padding: 3.2rem 0;
            height: auto;
            margin-bottom: 4rem;
  
            & > .__heading {
              color: $white;
              font-family: 'mont_m';
              font-size: 1.8rem;
              line-height: 2.2rem;
              padding: 0 1.6rem;
              max-height: 8rem;
              overflow: hidden auto;
              &::-webkit-scrollbar {
                width: 7px;
                background-color: transparent;
              }
              &::-webkit-scrollbar-track {
                background-color: transparent;
                border-radius: 10px;
                margin-top: 1rem;
                margin-bottom: 1rem;
              }
              &::-webkit-scrollbar-thumb {
                background: rgba(0, 0, 0, 0.2);
                border-radius: 10px;
              }
            }
          }
  
          &__content {
            padding: 3.2rem 1.6rem 3.2rem 3.2rem;
            position: relative;
            top: -2.6rem;
            height: 100%;
            .__image-instruction {
              width: 100%;
              height: 20vh;
              position: absolute;
              top: 0;
              left: 50%;
              transform: translate(-50%, -20%);
              min-height: 8rem;
              .pt-a-image {
                height: 100%;
                img{
                  cursor: zoom-in;
                }
              }
            }
            & > div {
              & > div {
                &:nth-child(1) {
                  padding: 0 1.5rem 0 0;
                  color: $gunPowder;
                  font-family: 'mont_m';
                  font-size: 1.8rem;
                  line-height: 3.6rem;
  
                  & > .__content {
                    position: relative;
  
                    & > .__editable {
                      border-bottom: 0.2rem solid $cornflower;
                      color: $dodgerBlue;
                      display: inline-block;
                      text-align: center;
                      margin-left: 5px;
                      margin-right: 5px;
                      line-height: 1.4;
                      &.--empty {
                        min-width: 13rem;
                        display: inline-block;
                      }
  
                      &.--danger {
                        color: $salmon;
                      }
  
                      &.--success {
                        color: $limeGreen;
                      }
                    }
                    & > .__editableEx {
                        min-width: 13rem;
                        border-bottom: 0.2rem solid #67ab8d;
                        color: #67ab8d;
                        display: inline;
                        text-align: center;
                        font-style: italic;
                        pointer-events: none;
                        margin-left: 5px;
                        margin-right: 5px;
                        font-family: 'mont_b';
                      }
                  }
                }
  
                &:nth-child(3) {
                  & > div {
                    background: $pattensBlue !important;
                  }
                }
              }
            }
          }
        }
      }
    }
  
    &__see-more {
      display: none;
      // display: flex;
      justify-content: center;
      align-items: center;
      width: 4rem;
      height: 4rem;
      border-radius: 2rem;
      background-color: rgba($color: #000000, $alpha: 0.4);
      position: fixed;
      bottom: 14rem;
      z-index: 1000;
      left: calc(50% - 2rem);
    }
  }
  
  @include screen-768-1024-portrait {
    .pt-o-game-fb4 {
      &-audio {
        &__container {
          flex-direction: column;
          // padding-top: 21rem;
          overflow: auto;
          height: 100%;
          & > .__paper {
            width: 100%;
            font-size: 2rem;
            .__pin.--left {
              top: 1.6rem;
            }
          }
        }
        &__left {
          width: 18.6rem;
          height: 19.8rem;
          min-height: 13.6rem;
          position: relative;
          border-radius: unset;
          border-top-left-radius: 50%;
          border-top-right-radius: 50%;
          overflow: unset;
          // padding-bottom: 3rem;
          padding-top: 0rem;
          flex-shrink: 0;
  
          & > .__player {
            width: 7rem;
            height: 7rem;
            position: absolute;
            top: 2.5rem;
          }
  
          & > .__duration {
            position: absolute;
            bottom: 49px;
            transform: unset;
            left: unset;
            font-size: 2rem;
          }
        }
        &__result {
          margin-bottom: 0;
        }
        &__right {
          width: 100%;
          min-height: 10rem;
          & > .__tapescript {
            min-width: 17.6rem;
            height: 4.6rem;
            border-radius: 2.3rem;
            font-family: 'mont_b';
            font-size: 1.8rem !important;
            top: unset;
            bottom: unset;
            left: 50%;
            bottom: 100%;
            transform: translate(-50%, -2px);
  
            &::before {
                width: 17.6rem;
                height: 4.6rem;
                border-radius: 2.3rem;
                content: 'Tapescript';
                font-family: 'mont_b';
                font-size: 1.8rem;
                opacity: 0;
                top: 0;
                left: 0;
            }
          }
          &.--image {
            .pt-o-block-bottom-gradient-with-header {
              &__content {
                .__image-instruction {
                  height: 15vh;
                  position: relative;
                  top: unset;
                  left: unset;
                  transform: unset;
                }
              }
            }
          }
  
          .pt-o-block-bottom-gradient-with-header {
            height: auto;
            &__header {
              height: unset;
              & > .__heading {
                font-size: 2rem;
                line-height: 2.2rem;
              }
            }
  
            &__content {
              // overflow: scroll;
              margin: auto;
              position: unset !important;
              width: 100%;
              height: auto !important;
              box-shadow: unset;
              padding: 3.2rem;
              padding-top: 1.5vh !important;
              & > div {
                & > div {
                  position: relative !important;
                  &:nth-child(1) {
                    // padding: 1rem 1rem 0 1rem;
                    margin: 0 !important;
                    font-size: 2.2rem;
                    line-height: 4rem;
  
                    & > .__content {
                      & > .__editable {
                        min-width: 9rem;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
  
  @include screen-767-portrait{
    .pt-o-game-fb4 {
      &-audio {
        border-bottom-left-radius: 1.2rem;
        border-bottom-right-radius: 1.2rem;
        overflow: auto;
        &__container {
          flex-direction: column;
          overflow-y: auto;
          flex: auto;
          justify-content: flex-start;
          & > .__paper {
            width: 100%;
            height: 100%;
            font-size: 1.6rem;
            .__pin.--left {
              top: 1.6rem;
            }
          }
        }
        &__left {
          width: 12.6rem;
          height: 15.6rem;
          border-radius: unset;
          border-top-left-radius: 50%;
          border-top-right-radius: 50%;
          overflow: unset;
          align-items: flex-start;
          & > .__player {
            width: 6.8rem;
            height: 6.8rem;
            top: 2rem;
          }
  
          & > .__duration {
            font-size: 1.8rem;
            bottom: 28px;
            line-height: 3.4rem;
          }
        }
        &__result {
          margin-bottom: 0;
        }
        &__right {
          width: 100%;
          min-height: 18rem;
          padding-bottom: 2rem;
          // height: 0;
          & > .__tapescript {
            min-width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            font-family: mont_b;
            font-size: 1.4rem!important;
            top: unset;
            bottom: unset;
            left: 50%;
            bottom: 100%;
            transform: translate(-50%,-2px);
  
            &::before {
              width: 11.6rem;
              height: 3.4rem;
              border-radius: 2.3rem;
              content: 'Tapescript';
              font-family: 'mont_b';
              font-size: 1.4rem;
              opacity: 0;
              top: 0;
              left: 0;
            }
          }
          &.--image {
            .pt-o-block-bottom-gradient-with-header {
              margin-top: 1rem;
              height: auto;
              &__content {
                .__image-instruction {
                  margin-top: 1rem;
                  height: 15vh;
                  position: relative;
                  top: unset;
                  left: unset;
                  transform: unset;
                  padding: 0 1rem;
                  &::before {
                    height: 0;
                  }
                }
              }
            }
          }
  
          .pt-o-block-bottom-gradient-with-header {
            &__header {
              margin-bottom: 0;
              padding: 1.6rem 0;
              & > .__heading {
                font-size: 1.6rem;
                line-height: 2rem;
              }
            }
  
            &::before {
              height: 0;
            }
  
            &__content {
              padding: 0;
              position: unset !important;
              padding-top: 0 !important;
              width: 100%;
              -webkit-box-shadow: unset;
              box-shadow: unset;
              height: auto !important;
              border-radius: 1.2rem;
  
              & > div {
                padding: 0 1rem 1rem 1rem;
                &::before {
                  width: 100%;
                  height: 1.2rem;
                  background: linear-gradient(-90deg, $aqua, $dodgerBlue);
                  border-radius: 0 0 1.2rem 1.2rem;
                  content: '';
                  pointer-events: none;
                  position: absolute;
                  bottom: 0;
                  left: 0;
                }
                & > div {
                  position: unset !important;
                  &:nth-child(1) {
                    padding: 1.2rem 1rem;
                    font-size: 1.6rem;
                    line-height: 2.4rem;
                    margin: 0 !important;
  
                    & > .__content {
                      & > .__editable {
                        min-width: 9rem;
                        &.--empty {
                          height: 1.2rem;
                          vertical-align: middle;
                          &:focus{
                            height: unset;
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
      &__see-more {
        display: flex;
      }
    }
  }
  @include screen-1024-landscape {
    .pt-o-game-fb4 {
      &-audio {
        &__container {
          height: 100%;
          display: flex;
          align-items: center;
          justify-content: center;
    
          & > .__paper {
            width: 64.2rem;
            height: 100%;
            margin: 0 auto;
            font-size: 2rem;
            line-height: 3.2rem;
            position: relative;
    
            &.--hidden {
              display: none;
            }
    
            & > .__toggle {
              width: 1.6rem;
              height: 1.6rem;
              cursor: pointer;
              position: absolute;
              top: 1.8rem;
              right: 3.6rem;
              z-index: 2;
              transform: rotate(45deg);
            }
    
            .__pin.--right {
              display: none;
            }
    
            .__content {
              u {
                text-decoration: underline !important;
              }
    
              i {
                font-style: italic !important;
              }
    
              b {
                font-weight: bold !important;
              }
            }
          }
        }
    
        &__left {
          width: 26rem;
          max-width: 26rem;
          height: 26rem;
          max-height: 26rem;
          border-radius: 9rem 0 0 9rem;
          display: flex;
          align-items: center;
          justify-content: center;
          overflow: hidden;
          position: relative;
          flex-shrink: 0;
          & > .__player {
            width: 50%;
            height:  50%;
          }
    
          & > .__duration {
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            font-size: 2.2rem;
          }
        }
    
        &__right {
          width: max(calc(100% - 42vh), 72%);
          max-width: 80rem;
          height: 100%;
          position: relative;
    
          & > .__tapescript {
            min-width: 15rem;
            width: 15rem;
            height: 4rem;
            border-radius: 2rem;
            color: $white;
            font-family: 'mont_b';
            font-size: 1.6rem !important;
            position: absolute;
            bottom: 0;
            left: -15rem;
            transform: translateX(-5.5rem);
            &:active {
              &::before {
                opacity: 1;
              }
            }
    
            &::before {
              width: 17.6rem;
              height: 4.6rem;
              background: $deepSkyBlue;
              border-radius: 2.3rem;
              color: $white;
              content: 'Tapescript';
              display: flex;
              align-items: center;
              justify-content: center;
              font-family: 'mont_b';
              font-size: 1.8rem;
              opacity: 0;
              pointer-events: none;
              position: absolute;
              top: 0;
              left: 0;
            }
          }
    
          &.--image {
            .pt-o-block-bottom-gradient-with-header {
              &__content {
                height: 100%;
                padding-top: 17.5vh;
                position: relative;
                .__image-instruction {
                  width: 100%;
                  height: 20vh;
                  position: absolute;
                  top: 0;
                  left: 50%;
                  transform: translate(-50%, -20%);
                  .pt-a-image {
                    height: 100%;
                  }
                }
              }
            }
          }
    
          .pt-o-block-bottom-gradient-with-header {
            display: flex;
            flex-direction: column;
    
            &__header {
              padding: 1.6rem 0 3.2rem 0;
              display: flex;
              justify-content: center;
              align-items: center;
              height: auto;
              margin-bottom: 4rem;
              font-size: 1.6rem;
              & > .__heading {
                color: $white;
                font-family: 'mont_m';
                font-size: 1.8rem;
                line-height: 2.2rem;
                max-height: 6rem;
              }
            }
    
            &__content {
              padding: 2rem 1.6rem 2rem 2rem;
              position: relative;
              top: -2.6rem;
              height: 100%;
    
              & > div {
                & > div {
                  &:nth-child(1) {
                    padding: 0 1.5rem 0 0;
                    color: $gunPowder;
                    font-family: 'mont_m';
                    font-size: 1.6rem;
                    line-height: 3.6rem;
                    margin: 0 !important;
                    & > .__content {
                      position: relative;
    
                      & > .__editable {
                        border-bottom: 0.2rem solid $cornflower;
                        color: $dodgerBlue;
                        display: inline-block;
                        text-align: center;
                        line-height: 1.4;
                        &.--empty {
                          min-width: 13rem;
                          display: inline-block;
                        }
    
                        &.--danger {
                          color: $salmon;
                        }
    
                        &.--success {
                          color: $limeGreen;
                        }
                      }
                    }
                  }
    
                  &:nth-child(3) {
                    & > div {
                      background: $pattensBlue !important;
                    }
                  }
                }
              }
            }
          }
        }
      }
    
      &__see-more {
        display: none;
        // display: flex;
        justify-content: center;
        align-items: center;
        width: 4rem;
        height: 4rem;
        border-radius: 2rem;
        background-color: rgba($color: #000000, $alpha: 0.4);
        position: fixed;
        bottom: 14rem;
        z-index: 1000;
        left: calc(50% - 2rem);
      }
    }
  }
  
  @include screen-960-landscape {
    .pt-o-game-fb4 {
      &-audio {
        &__container {
          height: 100%;
          display: flex;
          align-items: center;
          justify-content: center;
    
          & > .__paper {
            width: 64.2rem;
            height: 100%;
            margin: 0 auto;
            font-size: 1.4rem;
            line-height: 2rem;
            position: relative;
    
            &.--hidden {
              display: none;
            }
    
            & > .__toggle {
              width: 1.6rem;
              height: 1.6rem;
              cursor: pointer;
              position: absolute;
              top: 1.6rem;
              right: 2rem;
              z-index: 2;
              transform: rotate(45deg);
            }
    
            .__pin.--right {
              display: none;
            }
    
            .__content {
              u {
                text-decoration: underline !important;
              }
    
              i {
                font-style: italic !important;
              }
    
              b {
                font-weight: bold !important;
              }
            }
          }
        }
    
        &__left {
          width: 18rem;
          height: 18rem;
          margin-top: -6rem;
          max-width: 18rem;
          max-height: 18rem;
          border-radius: 9rem 0 0 9rem;
          display: flex;
          align-items: center;
          justify-content: center;
          overflow: hidden;
          position: relative;
          flex-shrink: 0;
          & > .__player {
            width: 50%;
            height:  50%;
          }
    
          & > .__duration {
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            font-size: 1.8rem;
          }
        }
    
        &__right {
          width: max(calc(100% - 42vh), 72%);
          max-width: 80rem;
          height: 100%;
          position: relative;
    
          & > .__tapescript {
            min-width: 15rem;
            width: 15rem;
            height: 4rem;
            border-radius: 2rem;
            color: $white;
            font-family: 'mont_b';
            font-size: 1.2rem !important;
            position: absolute;
            bottom: 0;
            left: -15rem;
            transform: translateX(-1.5rem);
            &:active {
              &::before {
                opacity: 1;
              }
            }
    
            &::before {
              width: 17.6rem;
              height: 4.6rem;
              background: $deepSkyBlue;
              border-radius: 2.3rem;
              color: $white;
              content: 'Tapescript';
              display: flex;
              align-items: center;
              justify-content: center;
              font-family: 'mont_b';
              font-size: 1.2rem;
              opacity: 0;
              pointer-events: none;
              position: absolute;
              top: 0;
              left: 0;
            }
          }
    
          &.--image {
            .pt-o-block-bottom-gradient-with-header {
              &__content {
                height: 100%;
                position: relative;
                padding: 0.6rem 1.2rem 1.2rem 1.2rem !important;
                border-radius: 2rem;
                bottom: 1.6rem;
                top: unset;
                .__image-instruction {
                  width: 100%;
                  height: 100%;
                  max-height: 100%;
                  max-width: 50%;
                  transform: unset;
                  position: relative;
                  top: unset;
                  left: unset;
                  min-height: 10rem;
                  .pt-a-image {
                    height: 100%;
                  }
                }
              }
            }
          }
    
          .pt-o-block-bottom-gradient-with-header {
            display: flex;
            flex-direction: column;
    
            &__header {
              padding: 1rem 0 1.6rem 0 !important;
              display: flex;
              justify-content: center;
              align-items: center;
              height: auto;
              margin-bottom: 1rem;
              font-size: 1.4rem;
              & > .__heading {
                color: $white;
                font-family: 'mont_m';
                font-size: 1.4rem;
                line-height: 2rem;
                max-height: 4rem;
              }
            }
    
            &__content {
              display: flex;
              justify-content: center;
              align-items: center;
              flex-direction: column;
              padding: 1.2rem 1.6rem 1.2rem 1rem !important;
                border-radius: 2rem;
                top: unset;
                bottom: 1.6rem;
                position: relative;
              height: 100%;
    
              & > div {
                & > div {
                  &:nth-child(1) {
                    padding: 0;
                    margin: 0 !important;
                    color: $gunPowder;
                    font-family: 'mont_m';
                    font-size: 1.2rem;
                    line-height: 2.8rem;
                    & > .__content {
                      position: relative;
                      & > .__editable {
                        border-bottom: 0.2rem solid $cornflower;
                        color: $dodgerBlue;
                        display: inline-block;
                        text-align: center;
                        line-height: 1.4;
                        &.--empty {
                          min-width: 13rem;
                          display: inline-block;
                          height: 1.2rem;
                          vertical-align: middle;
                          &:focus{
                            height: unset;
                          }
                        }
    
                        &.--danger {
                          color: $salmon;
                        }
    
                        &.--success {
                          color: $limeGreen;
                        }
                      }
                    }
                  }
    
                  &:nth-child(3) {
                    & > div {
                      background: $pattensBlue !important;
                    }
                  }
                }
              }
            }
          }
        }
      }
    
      &__see-more {
        display: none;
        // display: flex;
        justify-content: center;
        align-items: center;
        width: 4rem;
        height: 4rem;
        border-radius: 2rem;
        background-color: rgba($color: #000000, $alpha: 0.4);
        position: fixed;
        bottom: 14rem;
        z-index: 1000;
        left: calc(50% - 2rem);
      }
    }
  }
  @include screen-mobile-portrait{
  .pt-o-game-fb4{
    &-audio {
      &__left{
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: flex-start;
        align-items: center;

        .__duration{
            position: absolute;
            bottom: 28px;
            transform: unset;
            left: unset;
            font-size: 1.4rem;
        }
      }
      &__right {
        width: 100%;
        max-height: calc(100% - 15.6rem);

      }
    }
  }
}